#global uuid com.github.dail8859.NotepadNext

%global qtversion 5
%global binname qnvsm

Name:           nvidia-system-monitor-qt
Version:        1.5
Release:        3%{?dist}
Summary:        A cross-platform, reimplementation of Notepad++
Group:          Applications/System
License:        MIT

URL:            https://github.com/congard/%{name}
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  cmake
# dependency from .gitmodule
#BuildRequires:	uchardet-devel

%if %{qtversion} == 5
# qt 5 deps
BuildRequires:	pkgconfig(Qt5)
#BuildRequires:	qt5-linguist
#BuildRequires:	qt5-qttranslations
#BuildRequires:	qt5-qtbase-private-devel
%elif %{qtversion} == 6
# qt 6
BuildRequires:	pkgconfig(Qt6)
#BuildRequires:	qt6-linguist
#BuildRequires:	qt6-qtbase-private-devel
#BuildRequires:	qt6-qt5compat-devel
%endif
BuildRequires:  libappstream-glib

Requires:       hicolor-icon-theme

%description
A cross-platform, reimplementation of Notepad++.

%prep
%setup -q

%build
%cmake -DVersionPrefix="fedora-release"
%cmake_build

%install
%cmake_install

install -Dpm 755 %{_vpath_builddir}/%{binname} %{buildroot}%{_bindir}/%{binname}
install -Dpm 0644 package/rpm/%{binname}.desktop \
    %{buildroot}%{_datadir}/applications/%{binname}.desktop
install -Dpm 644 icon.png %{buildroot}%{_datadir}/icons/hicolor/512x512/apps/%{binname}.png

#install -Dpm 0644 deploy/linux/%{uuid}.metainfo.xml   \
#    #{buildroot}%{_metainfodir}/%{uuid}.metainfo.xml

#check
#desktop-file-validate #{buildroot}#{_datadir}/applications/#{name}.desktop


%files
%license LICENSE
%doc README.md 
%{_bindir}/%{binname}
%{_datadir}/applications/%{binname}.desktop
%{_datadir}/icons/hicolor/512x512/apps/%{binname}.png


%changelog
* Sat Jun 17 2023 Christian Birk <mail@birkc.de> - 1.5-3
- Rebuild (qt5)

* Sun Nov 13 2022 Christian Birk <mail@birkc.de> - 1.5-2
- change versionprefix

* Sun Nov 13 2022 Christian Birk <mail@birkc.de> - 1.5-1
- initial package
